loci.formats.gui

## Class BufferedImageSource

- java.lang.Object
- - loci.formats.gui.BufferedImageSource

- All Implemented Interfaces:
    ICacheSource

      public class BufferedImageSource
      extends java.lang.Object
      implements ICacheSource

  Retrieves BufferedImages from a data source using Bio-Formats.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BufferedImageReader` | `reader` Image reader from which to draw BufferedImages.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferedImageSource(IFormatReader reader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getObject(int index)` Get the object corresponding to the given index.
    `int` | `getObjectCount()` Get the total number of objects that this source can retrieve.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### reader

          protected BufferedImageReader reader

      Image reader from which to draw BufferedImages.

  - ### Constructor Detail

    - #### BufferedImageSource

          public BufferedImageSource(IFormatReader reader)
                              throws CacheException

      Throws:
        `CacheException`

  - ### Method Detail

    - #### getObjectCount

          public int getObjectCount()

      Description copied from interface: `ICacheSource`
      Get the total number of objects that this source can retrieve.
      Specified by:
        `getObjectCount` in interface `ICacheSource`

    - #### getObject

          public java.lang.Object getObject(int index)
                                     throws CacheException

      Description copied from interface: `ICacheSource`
      Get the object corresponding to the given index.
      Specified by:
        `getObject` in interface `ICacheSource`
      Throws:
        `CacheException`

Copyright © 2026 Open Microscopy Environment